/// <reference types="q" />
import q = require("q");
export declare class Publisher {
    static create(options: PublisherOptions): Publisher;
    private __options;
    constructor(options?: PublisherOptions);
    publish(): q.Promise<any[]>;
    private __callPact(options, config);
    private __getPactFile(options, uri);
    private __constructPutUrl(options, data);
    private __constructTagUrl(options, tag, data);
}
declare const _default: typeof Publisher.create;
export default _default;
export interface PublisherOptions {
    pactBroker?: string;
    pactUrls?: string[];
    consumerVersion?: string;
    pactBrokerUsername?: string;
    pactBrokerPassword?: string;
    tags?: string[];
}
export interface PublishData {
    consumer: {
        name: string;
    };
    provider: {
        name: string;
    };
}
